Bug 1278266 - No context-dir info saved into buildconfig when create app with context-dir using new-app cmd
No context-dir info saved into buildconfig when create app with context-dir u...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Cesar Wong
Wei Sun
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 01:36 EST by XiuJuan Wang
Modified: 2016-05-12 13:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:09:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description XiuJuan Wang 2015-11-05 01:36:55 EST
Description of problem:
No context-dir info saved into buildconfig when create app with context-dir using new-app cmd

Version-Release number of selected component (if applicable):
oc v1.0.7-73-g1605f20
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4

How reproducible:
always

Steps to Reproduce:
1.Create an app with context-dir info
$oc new-app perl~https://github.com/openshift/sti-perl.git --context-dir=5.16/test/sample-test-app/ --env=PERL_APACHE2_RELOAD=true
2.Check buildconfig
3.

Actual results:
$ oc  get  bc  -o yaml 
apiVersion: v1
items:
- apiVersion: v1
  kind: BuildConfig
  metadata:
    annotations:
      openshift.io/generated-by: OpenShiftNewApp
    creationTimestamp: 2015-11-05T06:00:21Z
    labels:
      app: sti-perl
    name: sti-perl
    namespace: <namespace>
    resourceVersion: "13948"
    selfLink: /oapi/v1/namespaces/<namespace>/buildconfigs/sti-perl
    uid: 7fac22b9-8382-11e5-ab24-fa163e7cb4d6
  spec:
    output:
      to:
        kind: ImageStreamTag
        name: sti-perl:latest
    resources: {}
    source:
      git:
        uri: https://github.com/openshift/sti-perl.git
      type: Git
    strategy:
      sourceStrategy:
        from:
          kind: ImageStreamTag
          name: perl:latest
          namespace: openshift
      type: Source
    triggers:
    - github:
        secret: ZT4PlQML9KRRD0agm4Bg
      type: GitHub
    - generic:
        secret: NKcFeLCVcKXAhUyWJ6eK
      type: Generic
    - type: ConfigChange
    - imageChange:
        lastTriggeredImageID: <perl image>
      type: ImageChange
  status:
    lastVersion: 1
kind: List
metadata: {}


Expected results:
Should save context-dir into buildconfig

Additional info:
Comment 1 XiuJuan Wang 2015-11-05 03:35:16 EST
When use below cmd(no '~' between image and source repo),contextDir info will be saved into buildconfig.
‘oc new-app perl https://github.com/openshift/sti-perl.git --context-dir=5.16/test/sample-test-app/ --env=PERL_APACHE2_RELOAD=true’
Comment 2 Clayton Coleman 2015-11-05 13:04:33 EST
Is this not a regression?
Comment 3 Cesar Wong 2015-11-05 13:26:45 EST
It is
Comment 4 XiuJuan Wang 2015-11-05 19:55:42 EST
Sorry, forget to add keyword regression.
Comment 5 XiuJuan Wang 2015-12-07 22:31:40 EST
This iusse has fixed in devenv_rhel7_2898, could you help to change bug status to on_qa?
oc v1.1-366-g9db1116
kubernetes v1.1.0-origin-1107-g4c8e6f4
Thanks!
Comment 6 XiuJuan Wang 2015-12-07 23:58:24 EST
As the comment #5,move the bug to verified.

@Cesar , thanks!

Note You need to log in before you can comment on or make changes to this bug.